> ## Documentation Index
> Fetch the complete documentation index at: https://developers.malibou.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get collaborators

> Required scope: `org:employee:read`



## OpenAPI

````yaml /api-reference/openapi/public-api-1.11.0.json get /organizations/{organizationId}/collaborators
openapi: 3.0.0
info:
  title: malibou public API
  version: 1.11.0
  description: >-
    The malibou HRIS public API provides programmatic access to collaborator,
    company, and HR data.
servers:
  - url: https://app.malibou.com/api/public/v1
security:
  - bearerAuth: []
tags:
  - name: Collaborators
    description: Collaborators endpoints
    x-group: Collaborators
  - name: Absences
    description: Absences endpoints
    x-group: Absences
  - name: Work Locations
    description: Work Locations endpoints
    x-group: Work Locations
paths:
  /organizations/{organizationId}/collaborators:
    get:
      tags:
        - Collaborators
      summary: Get collaborators
      description: 'Required scope: `org:employee:read`'
      operationId: getCollaborators
      parameters:
        - schema:
            type: string
          required: true
          name: organizationId
          in: path
        - schema:
            type: string
          required: false
          name: establishmentId
          in: query
        - schema:
            type: number
            minimum: 0
            exclusiveMinimum: true
          required: false
          name: page
          in: query
        - schema:
            type: number
            minimum: 0
          required: false
          name: limit
          in: query
        - schema:
            type: string
            enum:
              - past
              - active
              - future
            description: >-
              Employment status relative to today.

              - `past`: all contracts are inactive.

              - `active`: at least one contract is active.

              - `future`: only an upcoming contract, with no active or past
              contract.
          required: false
          description: >-
            Employment status relative to today.

            - `past`: all contracts are inactive.

            - `active`: at least one contract is active.

            - `future`: only an upcoming contract, with no active or past
            contract.
          name: contractStatus
          in: query
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        status:
                          type: string
                          enum:
                            - past
                            - active
                            - future
                          description: >-
                            Employment status relative to today.

                            - `past`: all contracts are inactive.

                            - `active`: at least one contract is active.

                            - `future`: only an upcoming contract, with no
                            active or past contract.
                        isProfileComplete:
                          type: boolean
                        personnelNumber:
                          type: string
                          nullable: true
                        title:
                          type: string
                          nullable: true
                          enum:
                            - mr
                            - mrs
                        firstName:
                          type: string
                        lastName:
                          type: string
                        email:
                          type: string
                          format: email
                        birthName:
                          type: string
                          description: Needs scope `org:employee:details:read`
                        secondaryEmail:
                          type: string
                          nullable: true
                          format: email
                          description: Needs scope `org:employee:details:read`
                        phoneNumber:
                          type: string
                          nullable: true
                          description: Needs scope `org:employee:details:read`
                        birthDate:
                          type: string
                          nullable: true
                          format: date-time
                          description: Needs scope `org:employee:details:read`
                        birthCity:
                          type: string
                          nullable: true
                          description: Needs scope `org:employee:details:read`
                        nationality:
                          type: string
                          nullable: true
                          enum:
                            - af
                            - al
                            - dz
                            - ad
                            - ao
                            - ag
                            - ar
                            - am
                            - au
                            - at
                            - az
                            - bs
                            - bh
                            - bd
                            - bb
                            - by
                            - be
                            - bz
                            - bj
                            - bt
                            - bo
                            - ba
                            - bw
                            - br
                            - bn
                            - bg
                            - bf
                            - bi
                            - cv
                            - kh
                            - cm
                            - ca
                            - cf
                            - td
                            - cl
                            - cn
                            - co
                            - km
                            - cd
                            - cg
                            - cr
                            - ci
                            - hr
                            - cu
                            - cy
                            - cz
                            - dk
                            - dj
                            - dm
                            - do
                            - ec
                            - eg
                            - sv
                            - gq
                            - er
                            - ee
                            - sz
                            - et
                            - fj
                            - fi
                            - fr
                            - ga
                            - gm
                            - ge
                            - de
                            - gh
                            - gr
                            - gd
                            - gt
                            - gn
                            - gw
                            - gy
                            - ht
                            - hn
                            - hu
                            - is
                            - in
                            - id
                            - ir
                            - iq
                            - ie
                            - il
                            - it
                            - jm
                            - jp
                            - jo
                            - kz
                            - ke
                            - ki
                            - kp
                            - kr
                            - kw
                            - kg
                            - la
                            - lv
                            - lb
                            - ls
                            - lr
                            - ly
                            - li
                            - lt
                            - lu
                            - mg
                            - mw
                            - my
                            - mv
                            - ml
                            - mt
                            - mh
                            - mr
                            - mu
                            - mx
                            - fm
                            - md
                            - mc
                            - mn
                            - me
                            - ma
                            - mz
                            - mm
                            - na
                            - nr
                            - np
                            - nl
                            - nz
                            - ni
                            - ne
                            - ng
                            - mk
                            - 'no'
                            - om
                            - pk
                            - pw
                            - pa
                            - pg
                            - py
                            - pe
                            - ph
                            - pl
                            - pt
                            - qa
                            - ro
                            - ru
                            - rw
                            - kn
                            - lc
                            - vc
                            - ws
                            - sm
                            - st
                            - sa
                            - sn
                            - rs
                            - sc
                            - sl
                            - sg
                            - sk
                            - si
                            - sb
                            - so
                            - za
                            - ss
                            - es
                            - lk
                            - sd
                            - sr
                            - se
                            - ch
                            - sy
                            - tj
                            - tz
                            - th
                            - tl
                            - tg
                            - to
                            - tt
                            - tn
                            - tr
                            - tm
                            - tv
                            - tw
                            - ug
                            - ua
                            - ae
                            - gb
                            - us
                            - uy
                            - uz
                            - vu
                            - ve
                            - vn
                            - ye
                            - zm
                            - zw
                          description: Needs scope `org:employee:details:read`
                        address:
                          type: object
                          properties:
                            street:
                              type: string
                              nullable: true
                            city:
                              type: string
                              nullable: true
                            zipCode:
                              type: string
                              nullable: true
                            country:
                              type: string
                              nullable: true
                              enum:
                                - af
                                - al
                                - dz
                                - ad
                                - ao
                                - ag
                                - ar
                                - am
                                - au
                                - at
                                - az
                                - bs
                                - bh
                                - bd
                                - bb
                                - by
                                - be
                                - bz
                                - bj
                                - bt
                                - bo
                                - ba
                                - bw
                                - br
                                - bn
                                - bg
                                - bf
                                - bi
                                - cv
                                - kh
                                - cm
                                - ca
                                - cf
                                - td
                                - cl
                                - cn
                                - co
                                - km
                                - cd
                                - cg
                                - cr
                                - ci
                                - hr
                                - cu
                                - cy
                                - cz
                                - dk
                                - dj
                                - dm
                                - do
                                - ec
                                - eg
                                - sv
                                - gq
                                - er
                                - ee
                                - sz
                                - et
                                - fj
                                - fi
                                - fr
                                - ga
                                - gm
                                - ge
                                - de
                                - gh
                                - gr
                                - gd
                                - gt
                                - gn
                                - gw
                                - gy
                                - ht
                                - hn
                                - hu
                                - is
                                - in
                                - id
                                - ir
                                - iq
                                - ie
                                - il
                                - it
                                - jm
                                - jp
                                - jo
                                - kz
                                - ke
                                - ki
                                - kp
                                - kr
                                - kw
                                - kg
                                - la
                                - lv
                                - lb
                                - ls
                                - lr
                                - ly
                                - li
                                - lt
                                - lu
                                - mg
                                - mw
                                - my
                                - mv
                                - ml
                                - mt
                                - mh
                                - mr
                                - mu
                                - mx
                                - fm
                                - md
                                - mc
                                - mn
                                - me
                                - ma
                                - mz
                                - mm
                                - na
                                - nr
                                - np
                                - nl
                                - nz
                                - ni
                                - ne
                                - ng
                                - mk
                                - 'no'
                                - om
                                - pk
                                - pw
                                - pa
                                - pg
                                - py
                                - pe
                                - ph
                                - pl
                                - pt
                                - qa
                                - ro
                                - ru
                                - rw
                                - kn
                                - lc
                                - vc
                                - ws
                                - sm
                                - st
                                - sa
                                - sn
                                - rs
                                - sc
                                - sl
                                - sg
                                - sk
                                - si
                                - sb
                                - so
                                - za
                                - ss
                                - es
                                - lk
                                - sd
                                - sr
                                - se
                                - ch
                                - sy
                                - tj
                                - tz
                                - th
                                - tl
                                - tg
                                - to
                                - tt
                                - tn
                                - tr
                                - tm
                                - tv
                                - tw
                                - ug
                                - ua
                                - ae
                                - gb
                                - us
                                - uy
                                - uz
                                - vu
                                - ve
                                - vn
                                - ye
                                - zm
                                - zw
                              description: Country code following the ISO 3166 standard.
                          required:
                            - street
                            - city
                            - zipCode
                            - country
                          description: Needs scope `org:employee:details:read`
                        seniorityDate:
                          type: string
                          nullable: true
                          format: date-time
                          description: Needs scope `org:employee:details:read`
                        ssn:
                          type: string
                          nullable: true
                          description: Needs scope `org:employee:details:read`
                        bankAccount:
                          type: object
                          properties:
                            iban:
                              type: string
                              nullable: true
                              description: Needs scope `org:employee:details:read`
                            bic:
                              type: string
                              nullable: true
                              description: Needs scope `org:employee:details:read`
                          required:
                            - iban
                            - bic
                          description: Needs scope `org:employee:details:read`
                        manager:
                          type: object
                          nullable: true
                          properties:
                            collaboratorId:
                              type: string
                          required:
                            - collaboratorId
                          description: Needs scope `org:employee:details:read`
                        team:
                          type: object
                          nullable: true
                          properties:
                            id:
                              type: string
                            name:
                              type: string
                          required:
                            - id
                            - name
                          description: Needs scope `org:employee:details:read`
                        currentContract:
                          type: object
                          nullable: true
                          properties:
                            id:
                              type: string
                            startDate:
                              type: string
                              format: date-time
                            natureContrat:
                              type: string
                              enum:
                                - permanent
                                - fixed_term
                                - internship
                                - work_study
                                - professionalization
                                - officer
                                - freelance
                                - founder
                                - internship_not_paid
                                - external_staff
                            estCadre:
                              type: boolean
                              nullable: true
                          required:
                            - id
                            - startDate
                            - natureContrat
                            - estCadre
                          description: Needs scope `org:contract:details:read`
                      required:
                        - id
                        - status
                        - isProfileComplete
                        - personnelNumber
                        - title
                        - firstName
                        - lastName
                        - email
                  total:
                    type: number
                  page:
                    type: number
                  limit:
                    type: number
                required:
                  - data
                  - total
                  - page
                  - limit
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````